# $Id: smeserver-geoip.spec,v 1.3 2009/04/24 13:54:39 snetram Exp $
# Authority: nocvs
# Name: Thouvenin Romain

%define name smeserver-geoip
%define version 1.0.0
%define release b2

Summary: SME Server geoip plugin
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Email
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

%description
The GEOIP plugin lets us know which country our mail server is receiving mail from. If we're receiving too much spam from a particular country, this will help track it down and then use that info to reject connections from that country. This ends up taking the load off our servers.

CHANGE THE CONFIG DB: config setprop qpsmtpd BadCountries <countrycode> (i.e. config setprop qpsmtpd BadCountries BR)
SIGNAL EVENT: signal-event email-update

%changelog
* Fri Apr 24 2009 Jonathan Martens <smeserver-bugzilla@contribs.org> 1.0.0-b2
- Add e-smith-devtools as a requirement [SME: 1866]

* Thu Jun 16 2007 Doug Kruhm <dakruhm@daknetworks.net>
- 1.0.0-01
- Original version

%prep
%setup

%build

DEFAULTS=root/etc/e-smith/db/configuration/defaults/qpsmtpd
mkdir -p $DEFAULTS

echo "enabled"  > $DEFAULTS/GeoIP
echo ""  > $DEFAULTS/BadCountries


%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /var/service/qpsmtpd/config/badcountries
/sbin/e-smith/expand-template /var/service/qpsmtpd/config/peers/0
true

%postun
/sbin/e-smith/expand-template /var/service/qpsmtpd/config/peers/0
true

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
